// module for the connector that slides into the slots. The "extra"
// parameter can be passed to make it larger to use to subtract off
// of the slots to provide some slack. Also takes height, width, and
// length parameters. Also the dia parameter is the diameter of the
// cylinders stuck on the sides.

module connector(extra=0, height=22, width=15, length=50, dia=3) {
   cw=width+extra;
   cr=(dia + extra)/2;
   union() {
      translate([0,-(cw/2),0])
         cube([length,cw,height]);
      translate([0,cw/2,dia])
         rotate([0,90,0])
            cylinder(h=length,r=cr,$fn=32);
      translate([0,-cw/2,dia])
         rotate([0,90,0])
            cylinder(h=length,r=cr,$fn=32);
   }
}
