// Modele with defs for the odd shaped metal frame the magnet is attached to

mag1_frame_thick = 3;

// Import the svg file I made in gimp by using lasso tool then converting
// selection to path and saving path as svg (which you need to see the
// "paths" tool window to do).
//
module mag1_frame_svg() {
   translate([-11.9,-5.4,0])
      linear_extrude(height=10) {
        import("mag1-frame.svg", dpi=600);
      }
}

// Naturally that doesn't fit as is, so merge together a bunch of instances
// shifted and rotated a bit to "wiggle" it around and make more space.
// This version seems to produce a hole I can actually fit the magnet
// in tightly, but without needing force.
//
module mag1_frame() {
   union() {
      translate([-0.5,0,0])
         mag1_frame_svg();
      translate([0.5,0,0])
         mag1_frame_svg();
      translate([0,-0.5,0])
         mag1_frame_svg();
      translate([0,0.3,0])
         mag1_frame_svg();
      rotate([0,0,-1])
         mag1_frame_svg();
      rotate([0,0,1])
         mag1_frame_svg();
   }
}
