// Module with the "holes" arranged in the orientation I print the
// back piece.
//
// Use "extra" to make the diameters bigger when you need to subtract these
// holes out of the top piece (to give a little slop so they'll fit well).
//
// Used an svg generated in gimp and scaled to the right size to overlay
// with the back piece till I could adjust the translations to put the
// holes in the right place.

module mag1_holes(extra=0, height=11) {
   bldia = 5 + extra;
   trdia = 4 + extra;
   sw=4 + extra;
   sl=15;
   union() {
      translate([9.5,10.7,0])
         cylinder(h=height,r=(bldia/2),$fn=32);
      translate([47.7,43.1,0])
         cylinder(h=height,r=(trdia/2),$fn=32);
      translate([50,7,0])
         union() {
            cube([sw,sl,height]);
            translate([sw/2,0,0])
               cylinder(h=height,r=sw/2,$fn=32);
            translate([sw/2,sl,0])
               cylinder(h=height,r=sw/2,$fn=32);
         }
   }
}
