// Module for the shape of the magnet itself which is attached to the
// metal frame.

mag1_mag_thick=2.12;

// Import the 2nd try at tracing the magnet ieself in gimp. Apparently if
// you try to add selections (like I did in my first attempt to include the
// "bumps") you get a non-manifold shape. Possibly if I had done a flood fill
// then selected by color or something that would have started with a fresh
// new selection that was indeed manifold. In any case this one used the
// lasso tool to include the bumps along with the magnet itself with no
// additional selection involved, and it seems to make openscad happy.
//
module mag1_svg() {
   translate([-12.8,-9.6,0])
      linear_extrude(height=10) {
        import("mag1-mag.svg", dpi=600);
      }
}

// Again it was a little too tight, so "wiggle" it around again to make
// it slightly larger to fit better.
//
module mag1_mag() {
   union() {
      translate([0.1,0,0])
         mag1_svg();
      translate([-0.1,0,0])
         mag1_svg();
      translate([0,0.1,0])
         mag1_svg();
      translate([0,-0.1,0])
         mag1_svg();
   }
}
