// build the back piece for capturing mag2

include <mag2-frame-mag.scad>

include <connector.scad>

include <roundedcube.scad>

module mag2_holes(border=3, thick=mag2_tot_thick, rad=3, extra=0) {
   cx=mag2_frame_mag_max_x+2*border;
   translate([border+rad,border+rad,0])
      cylinder(h=thick+5,r=rad+(extra/2),$fn=32);
   translate([cx-(border+rad),border+rad,0])
      cylinder(h=thick+5,r=rad+(extra/2),$fn=32);
}

// Parameters are how much border to create around the magnet plus
// thickness information (since I have two different magnets with
// same outline but different thickness).
//
module mag2_back(border=3, thick=mag2_tot_thick, magthick=mag2_mag_thick) {
   cx=mag2_frame_mag_max_x+2*border;
   cy=mag2_frame_mag_max_y+2*border;
   rad=3;
   union() {
      difference() {
         difference() {
            roundedcube(size=[cx,cy,thick*2], radius=1.5);
            translate([-1,-1,thick])
               cube([cx+2,cy+2,thick+1]);
         }
         translate([border,border,magthick])
            mag2_frame_mag();
      }
      mag2_holes(border, thick, rad);
   }
}

module mag2_front(border=3) {
   hw=25;
   hh=20;
   cx=mag2_frame_mag_max_x+2*border;
   cy=mag2_frame_mag_max_y+2*border;
   difference() {
      union() {
         difference() {
            translate([0,0,-5])
               roundedcube(size=[cx,cy,10], radius=1.5);
            translate([-1,-1,-6])
               cube([cx+2,cy+2,6]);
         }
         translate([(cx/2)-(hw/2),0,0])
            roundedcube(size=[hw,cy,hh], radius=1.5);
      }
      translate([0,0,-1])
         mag2_holes(border,10,extra=1);
      translate([cx/2,-3,3])
         rotate([0,0,90])
            connector(length=cy,height=hw+10,extra=1.1);
   }
}
