// This shape is both the frame and the magnet unioned together with
// the magnet extending below the origin and the frame extending
// above. No holes are included as they look too small to reasonably
// print in this magnet. This orientation is convenient to subtract from
// a cube by simply raising it up by the thickness of the magnet.

mag2_frame_mag_max_x=57.64;
mag2_frame_mag_max_y=28.37;

mag2_frame_thick=2.66;
mag2_tot_thick=4.95;
mag2_mag_thick=(mag2_tot_thick-mag2_frame_thick);

module mag2_frame_mag() {
   translate([-1.74,-1.82,0])
      union() {
         linear_extrude(height=10) {
            import("mag2-frame.svg", dpi=600);
         }
         translate([0,0,-10])
            linear_extrude(height=20) {
               import("mag2-mag.svg", dpi=600);
            }
      }
}
