// This shape is both the frame and the magnet unioned together with
// the magnet extending below the origin and the frame extending
// above. No holes are included as they look too small to reasonably
// print in this magnet. This orientation is convenient to subtract from
// a cube by simply raising it up by the thickness of the magnet.

mag3_frame_mag_max_x=57.75;
mag3_frame_mag_max_y=28.26;

mag3_frame_thick=2.88;
mag3_tot_thick=5.20;
mag3_mag_thick=(mag3_tot_thick-mag3_frame_thick);

module mag3_frame_mag() {
   // Translate so the left edge of frame touches y axis and bottom
   // edge of frame touches x axis.
   //
   translate([-3.8,-2.72,0])
      // union together frame and magnet
      union() {
         // extend frame higher than necessary to cleanly
         // cut though top of cube
         linear_extrude(height=10) {
            import("mag3-frame-p10.svg", dpi=600);
         }
         // extend magnet lower than necessary to clealy cut through
         // bottom of cube.
         translate([0,0,-10])
            linear_extrude(height=20) {
               import("mag3-mag-p10.svg", dpi=600);
            }
      }
}
